package com.dskj.daikuan.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class MemberOrder implements Parcelable {

    /**
     * id : 2
     * ordersn : lp163159813087508
     * uid : 4
     * type : 1
     * price : 2.99
     * paytype : 1
     * status : 1
     * created_at : 2021-09-14 13:42:10
     * updated_at : 2021-09-14 13:42:10
     */

    private int id;
    private String ordersn;
    private int uid;
    private int type;
    private String price;
    private int paytype;
    private int status;
    private String created_at;
    private String updated_at;

    protected MemberOrder(Parcel in) {
        id = in.readInt();
        ordersn = in.readString();
        uid = in.readInt();
        type = in.readInt();
        price = in.readString();
        paytype = in.readInt();
        status = in.readInt();
        created_at = in.readString();
        updated_at = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(id);
        dest.writeString(ordersn);
        dest.writeInt(uid);
        dest.writeInt(type);
        dest.writeString(price);
        dest.writeInt(paytype);
        dest.writeInt(status);
        dest.writeString(created_at);
        dest.writeString(updated_at);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<MemberOrder> CREATOR = new Creator<MemberOrder>() {
        @Override
        public MemberOrder createFromParcel(Parcel in) {
            return new MemberOrder(in);
        }

        @Override
        public MemberOrder[] newArray(int size) {
            return new MemberOrder[size];
        }
    };

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getOrdersn() {
        return ordersn;
    }

    public void setOrdersn(String ordersn) {
        this.ordersn = ordersn;
    }

    public int getUid() {
        return uid;
    }

    public void setUid(int uid) {
        this.uid = uid;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public int getPaytype() {
        return paytype;
    }

    public void setPaytype(int paytype) {
        this.paytype = paytype;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getCreated_at() {
        return created_at;
    }

    public void setCreated_at(String created_at) {
        this.created_at = created_at;
    }

    public String getUpdated_at() {
        return updated_at;
    }

    public void setUpdated_at(String updated_at) {
        this.updated_at = updated_at;
    }

    @Override
    public String toString() {
        return "MemberOrder{" +
                "id=" + id +
                ", ordersn='" + ordersn + '\'' +
                ", uid=" + uid +
                ", type=" + type +
                ", price='" + price + '\'' +
                ", paytype=" + paytype +
                ", status=" + status +
                ", created_at='" + created_at + '\'' +
                ", updated_at='" + updated_at + '\'' +
                '}';
    }
}
